using _Core;

namespace _Combo
{
    internal class ActivatePlayer
    {
        public class Request : Serializable
        {
            [Newtonsoft.Json.JsonProperty("ticket")]
            public string ticket;

            [Newtonsoft.Json.JsonProperty("activation_key")]
            public string activationKey;
        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("identity_token")]
            public string identityToken;

            [Newtonsoft.Json.JsonProperty("expires_at")]
            public int expiresAt;
        }
    }
}
